Subject: bug#21500: 24.5; Graphical glitch with display property lines in GUI Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Sep 2015 14:02:49 +0300

> Date: Sat, 26 Sep 2015 12:56:43 +0200
> From: Vasilij Schneidermann <[email-masked]>
> Cc: [email-masked]
> 
> > I'm not sure why would you need to use :distant-foreground, but maybe
> > your actual situation is more complicated than the test case you
> > presented in this bug report.  With that test case, if I modify the
> > face definition like this:
> > 
> >   (defface my-line
> >     '((((type graphic)) :background "yellow")
> >       (((type tty)) :inherit font-lock-comment-face :underline t))
> >     "Line face")
> > 
> > I see the line in question all the time.  Is this what you want?
> 
> Well, that works, but it does get rid of the line alltogether, so that's
> hardly a solution.

Is the below better?

(defface my-line
  '((((type graphic))
     :inherit font-lock-comment-face
     :strike-through t
     :background "yellow")
    (((type tty)) :inherit font-lock-comment-face :underline t))
  "Line face")